%define dist Tie-DBI
Name: perl-%dist
Version: 0.93
Release: alt2

Summary: Tie Perl hashes to DBI relational databases
License: GPL or Artistic
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Mon Sep 29 2003 (-bi)
BuildRequires: perl-DBI perl-devel perl-i18n

%description
This module allows you to tie Perl associative arrays (hashes) to SQL
databases using the DBI interface.  The tied hash is associated with
a table in a local or networked database.  One field of the table becomes
the hash key, and another becomes the value.  Once tied, all the standard
hash operations work, including iteration over keys and values.

%prep
%setup -q -n %dist-%version

%build
# database connection required
%def_without test
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/Tie*
%perl_vendor_man3dir/Tie*

%changelog
* Thu Apr 15 2004 Alexey Tourbin <at@altlinux.ru> 0.93-alt2
- fixed URL

* Mon Sep 29 2003 Alexey Tourbin <at@altlinux.ru> 0.93-alt1
- initial revision (this module is required for full-featured perl-Template)
